Subject: RE: No CPP in cygwin32 for NT
From: [email-masked] ("Jim Taylor")

21 Oct 1996 19:00:08 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: Stephen Maryka <[email-masked]>
Original-CC: [email-masked]
X-mailer: Pegasus Mail for Win32 (v2.42a)
Original-Sender: [email-masked]

Hello,

	I am somewhat reluctant to give advice as my experience and
knowledge in this area extend only to the point that I am just 
starting to try and get it all working myself.
	With that disclaimer, when I noticed you mentioned you were
trying to get things working from the d: drive I remembered 
tripping across several messages that this is problematic with
the GNU win32 install.  I did see other messages on the subject, 
but they referenced monkeying around with the registery.  I will 
try and find them and send them on to you.  (If I can find them, 
I don't know whether I saw them in the current message list, or 
one of the archives I was browsing.
          Sorry I can't be more helpful at this point.  Will see 
what I can find and pass it on.
	In my initial problem, which Steve gave me the solution
for, the key was the three lines of "set- includes", 
particularly the last one with the two include paths separated
by the "colon".  

=Steve Willer provided me with the following;

=a) created a "cygnus" directory on my C: drive
=b) unpacked the archive into there (using b18)
=c) created a "bin" directory off root on my C: drive d)
=copied "sh.exe" from cygnus\h-i386-cygwin32\bin to \bin
=e) changed my autoexec.bat so that c:\bin was first in
=the path
=  and c:\cygnus\h-i386-cygwin32\bin is somewhere in the
=   middle of the path (it's up to you where you put it,
 =  but be sure to put it before any other directory that
  = has "make", like Borland C++)
=f) set these other environment variables:
=
=GCC_EXEC_PREFIX=/cygnus/h-i386-cygwin32/lib/gcc-lib/
=C_INCLUDE_PATH=/cygnus/h-i386-cygwin32/i386-cygwin32/include/
=CPLUS_INCLUDE_PATH=/cygnus/h-i386-cygwin32/i386-cygwin32/include:/cygnus/include/g++/
=
=That's it. That's all I did.

Regards, 

Jim Taylor

> From:          Stephen Maryka <[email-masked]>
> Cc:            "[email-masked]" <[email-masked]>,
>                "[email-masked]"
>                <[email-masked]>
> Subject:       RE: No CPP in cygwin32 for NT
> Date:          Fri, 11 Oct 1996 15:41:56 -0600

> Hello,
> 
> I am currently trying to get the compiler working on my system and have had no luck getting it to find g++ include files such as "iostream.h".  I have tried
> including the environment variable in my environment, and have also tried the mount of /usr.  The compiler works, and finds the standard C include files but craps out on the C++ ones. 
> 
> It is unclear to me whether I should be using the Dos notation (D:\...) or the  Unix notation (//D/...) when defining the variable or setting the mount point.  I have tried several combinations with
> 
> Any assistance would be greatly appreciated.
> 
> Thanks
> 
> Steve Maryka
> 
> 
> ----------
> From: 	Steve Willer[SMTP:[email-masked]]
> Sent: 	Thursday, October 17, 1996 3:11 PM
> To: 	Sean McNeil
> Cc: 	[email-masked]; [email-masked]; [email-masked]
> Subject: 	Re: No CPP in cygwin32 for NT
> 
> On Thu, 17 Oct 1996 12:22:19 -0700, you wrote:
> 
> >> b) unpacked the archive into there (using b18)
> >
> >Do you mean b16, or is there an "alpha"/developers release too?
> 
> I meant b16.
> 
> >I used an alternative approach and just did a
> >
> >mount c:\cygnus\h-i386-cygwin32 /usr
> >
> >This appears to work just fine.
> 
> Well, whatever works for you. I didn't want to get into 'mount'
> weirdness because I figured I would forget about it later on and get
> confused. By keeping 'mount' stuff away, I didn't have to worry about
> startup scripts or other things.
> 
> ----
> Steve Willer, SoftQuad International, Toronto ON
> Work: [email-masked]    Personal: [email-masked]   CIS: 70400,3667
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 
> 
> 
> 
--
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".